/* * {
  margin: 0;
  padding: 0;
  box-sizing: border-box; 
} */

::-webkit-scrollbar {
  width: 6px;
}

::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

::-webkit-scrollbar-thumb {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

:root {
  --bg-primary: #fff;
  --bg-secondary: #fcfcfc;
  --warna-h1: #000;
  --offer-h1: #1734a0;
  --text-offer: #000;
  --btn-color1: #3f56da;
  --btn-color2: #365ff0;
  --teamhover: #ddd;
}

.dark-mode {
  --bg-primary: #0f1734;
  --bg-secondary: #0a1025;
  --warna-h1: #fff;
  --offer-h1: #fff;
  --text-offer: #f7f7f7;
  --btn-color1: #3f56da;
  --btn-color2: #365ff0;
}

/* .navbar {
  width: 100%;
  padding: 0 8%;
  display: flex;
  align-items: center;
} */

/* .logo {
  width: 50px;
  cursor: pointer;
  margin: 30px 0;
} */

body {
  font-family: "Inter", serif;
  background-color: var(--bg-secondary);
  position: relative;
}

h1,h2,h3,h4,h5,h6,p,.h1,.h2,.h3,.h4,.h5,.h6,small {
  font-family: 'Inter', sans-serif;
  font-variant-ligatures: common-ligatures;
  text-rendering: optimizeLegibility;
  color: var(--warna-h1);
}

nav {
  font-family: 'Inter';
  flex: 1;
  text-align: right;
  vertical-align: text-top;
}

nav ul li {
  list-style: none;
  display: inline-block;
  margin-right: 30px;
  vertical-align: text-top;
}

nav ul li a {
  text-decoration: none;
  color: var(--warna-h1);
  font-size: 14px;
  vertical-align: text-top;
}

nav ul li a:hover {
  color: #365ff0;
}

check-box {
  justify-content: center;
  display: flex;
  align-items: center;
}

input[type="checkbox"] {
  display: none;
  visibility: hidden;
}

input[type="checkbox"]:checked~.check:before {
  transform: translateX(20px);
}

input[type="checkbox"]:checked~.check:before {
  background-color: #1c317c;
  box-shadow: 0 0 0 50000px #ffffff;
}

.check:before,
.check:after {
  border-radius: 50%;
  content: '';
  height: 16px;
  position: absolute;
  top: 2px;
  transition: transform 1.5s ease;
  width: 16px;
}

.check:before {
  background-color: #ffffff;
  left: 2px;
}

.check {
  background-color: #1c317c;
  border-radius: 20px;
  cursor: pointer;
  display: block;
  height: 20px;
  overflow: hidden;
  position: relative;
  transition: background-color 0.5s ease-in, box-shadow 0.5s ease-in;
  margin-left: 20px;
  width: 40px;
}

/* .row {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.row2 {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-direction: row-reverse;
} */


.custom-button {
  width: 140px;
  border: 0;
  padding: 12px 10px;
  outline: none;
  color: #fff;
  background: linear-gradient(to right, var(--btn-color1), var(--btn-color2));
  cursor: pointer;
  transition: width 2.0s;
}

.custom-button:hover {
  width: 180px;
  display: flex;
  align-items: center;
  justify-content: space-evenly;
}

/* .small-container {
  max-width: 1080px;
  margin: auto;
  padding-left: 25px;
  padding-right: 25px;
} */

/* .offer {
  background: var(--bg-primary);
  padding: 60px 0;
} */

/* .offer-img {
  margin-right: 40px;
}

.offer-img2 {
  margin-left: 40px;
} */

/* .col-offer h1 {
  font-size: 64px;
  line-height: 74px;
  margin: 20px 0;
  font-weight: 700;
  color: var(--offer-h1);
}

.col-offer h4 {
  font-size: 24px;
  color: var(--text-offer);
}

.col-offer small {
  color: var(--text-offer);
  margin-bottom: 10px;
} */

.social-links {
  text-align: center;
  padding-right: 8%;
  box-sizing: border-box;
}

.social-links a {
  display: contents;
}

.social-links img {
  height: 20px;
  margin: 20px;
  cursor: pointer;
}

footer {
  background-color: #1c317c;
  height: auto;
  padding-top: 40px;
  color: #fff;
}

/* .footer-content{
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  text-align: center;
}

.footer-content h2{
  color: #fff;
  font-size: 1.8rem;
  font-weight: 600;
  text-transform: capitalize;
  line-height: 3rem;
}

.footer-content p{
  color: #fff;
  max-width: 750px;
  margin: 3px auto;
  font-size: 14px;
} */

/* .socials{
  list-style: none;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 1rem 0 3rem 0;
} */

/* .socials li{
  margin: 0 10px;
}

.socials a{
  text-decoration: none;
  color: #fff;
}

.socials a i{
  font-size: 1.1rem;
} */

/* .socials a:hover i{
  color: #365ff0;
} */

.footer-bottom{
  background-color:#0f1734;
  padding: 20px 0;
  text-align: center;
}

.footer-bottom p{
  color: #fff;
  font-size: 14px;
  word-spacing: 2px;
  text-transform: capitalize;
}


/* catalog */
.h-400px {
  max-height: 250px;
  min-height: 250px;
}

.title-category{
  text-align: center;
  margin: 0 auto 30px;
  position: relative;
  line-height: 60px;
}

.title-category::after{
  content: '';
  background: #1c317c;
  width: 80px;
  height: 5px;
  border-radius: 5px;
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
}

.small-container{
  max-width: 1080px;
  margin: auto;
  padding-left: 25px;
  padding-right: 25px;
}



/* about us */
.teams {
  padding: 40px 0px;
  cursor: pointer;
  transition: 0.4s;
  box-sizing: border-box;
}

.teams:hover {
  background: var(--teamhover);
  border-radius: 12px;
}

.teams img {
  width: 200px;
  height: 200px;
  border-radius: 50%;
}

.names {
  padding: 12px;
  font-weight: bold;
  font-size: 16px;
}

.about {
  margin: 20px 0;
  font-weight: regular;
  color: #252525;
  font-size: 16px;
}

.social-links {
  margin: 14px;
}

.social-links a {
  display: inline-block;
  height: 30px;
  width: 30px;
  transition: .4s;
}

.social-links a:hover {
  transform: scale(1.5);
}

.social-links i {
  color: var(--social-links);
}

.reveal{
  position: relative;
  transform: translateY(150px);
  opacity: 0;
  transition: 1s all ease;
}

.reveal.active{
  transform: translateY(0);
  opacity: 1;
}